<?php
namespace App\Http\Livewire;

use Livewire\Component;
use App\Models\Equipo;
use App\Models\ControlDiario;
use Carbon\Carbon;

class Dashboard extends Component
{
    public $equiposActivosHoy;
    public $numeroSalidas;
    public $totalEquipos;

    public function mount()
    {
        $hoy = Carbon::today();

        $this->equiposActivosHoy = ControlDiario::whereDate('fecha', $hoy)->distinct('equipo_id')->count('equipo_id');
        $this->numeroSalidas = ControlDiario::whereDate('fecha', $hoy)->count();
        $this->totalEquipos = Equipo::count();
    }

    public function render()
    {
        //return view('livewire.dashboard')->layout('layouts.app');
    }
}
